import { ComponentInterface, EventEmitter } from "../../../stencil-public-runtime";
import { FirebaseStorage } from "firebase/storage";
import { Support, SupportInput } from "../../../sdk";
export declare class ModalSupport implements ComponentInterface {
  editorEl: any;
  tabsEl: HTMLIonTabsElement;
  tabBarEl: HTMLIonTabBarElement;
  storage: FirebaseStorage;
  formEl: HTMLFireenjinFormElement;
  floodteamCloseModal: EventEmitter;
  fireenjinFetch: EventEmitter;
  fireenjinUpload: EventEmitter;
  heading: string;
  userId: string;
  ticket: Support;
  ticketInput: SupportInput;
  previewHTML: string;
  editor: any;
  onEditorChange(): Promise<void>;
  onChange(event: any): Promise<void>;
  onReset(event: any): void;
  onSuccess(event: any): Promise<void>;
  presentToast(): Promise<void>;
  getExtension(path: any): any;
  onPhotoUpload(event: any): Promise<{
    success: boolean;
    file: {
      url: string;
    };
  }>;
  componentDidLoad(): void;
  render(): any[];
}
